import * as templates from "./templates";
declare type Templates<T> = T extends {
    [key: string]: infer U;
} ? U : never;
export declare type ComponentTemplate = Templates<typeof templates>;
export declare type TemplateParams = {
    template: ComponentTemplate;
    fileName: string;
};
export declare type Transform = {
    [key: string]: string;
};
export declare type TransformParams = {
    from: string;
    to: string;
};
export declare type SetTemplate = {
    template: ComponentTemplate;
    transform: Transform;
    fileName: string;
    setTransform(context: TransformParams): SetTemplate;
};
export declare type File = {
    template: string;
    fileName: string;
};
export declare type Config = {
    path: string;
    withStyle: boolean;
    usePreprocessor: string;
    useTypescript: boolean;
    useTest: string;
};
export {};
